# Generated from covid19-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name covid19

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: A wrapper for the coronavirus API at https://corona-api.com/
License: MIT
URL: https://github.com/WolfAtheneum/covid19
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(colorize) >= 0.8
# BuildRequires: rubygem(colorize) < 1
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(terminal-table) >= 1.8
# BuildRequires: rubygem(terminal-table) < 2
BuildArch: noarch

%description
A wrapper for the coronavirus API at https://corona-api.com/.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/covid19
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODEOWNERS
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/VERSION.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/stale.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/covid19.gemspec
%{gem_instdir}/spec
%{gem_instdir}/testing

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.1-1
- Initial package
